Debian Security Advisory

DSA-3203-1 tor -- security update

Date Reported:
22 Mar 2015
Affected Packages:
Security database references:
In Mitre's CVE dictionary: CVE-2015-2688, CVE-2015-2689.
More information:

Several denial-of-service issues have been discovered in Tor, a connection-based low-latency anonymous communication system.

  • Jowr discovered that very high DNS query load on a relay could trigger an assertion error.

  • A relay could crash with an assertion error if a buffer of exactly the wrong layout was passed to buf_pullup() at exactly the wrong time.

For the stable distribution (wheezy), these problems have been fixed in version

For the testing distribution (jessie) and unstable distribution (sid), these problems have been fixed in version

Furthermore, this update disables support for SSLv3 in Tor. All versions of OpenSSL in use with Tor today support TLS 1.0 or later.

Additionally, this release updates the geoIP database used by Tor as well as the list of directory authority servers, which Tor clients use to bootstrap and who sign the Tor directory consensus document.

We recommend that you upgrade your tor packages.